Bug 461453 - Anaconda crash during install with USB-disk-based ks.cfg
Anaconda crash during install with USB-disk-based ks.cfg
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-08 00:28 EDT by Martin Langhoff
Modified: 2009-07-14 10:33 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 10:01:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
anaconda.log (2.84 KB, application/x-gzip)
2008-09-08 00:28 EDT, Martin Langhoff
no flags Details
anacdump.txt.gz (35.32 KB, application/x-gzip)
2008-09-08 00:29 EDT, Martin Langhoff
no flags Details

  None (edit)
Description Martin Langhoff 2008-09-08 00:28:14 EDT
Description of problem:

I am seeing a consistent anaconda crash with the following setup. Note that the instructions below assume 1 PATA/SATA HD, and that the USB disk will be assigned sdb and have 1 partition...

Version-Release number of selected component (if applicable):

anaconda-11.4.0.82-1.i386
anaconda-runtime-11.4.0.82-1.i386


How reproducible:

100% :-)

Steps to Reproduce:

1 - take a revisor-created ISO

2 - store it in a USB flash drive vfat formatted with this script (it stores the whole ISO on disk)
http://dev.laptop.org/git?p=projects/xs-livecd;a=blob;f=util/mkusbinstall;h=e90b238e4d41a8fa00c64366ff34665f77b112c3;hb=HEAD

3 - on the syslinux menu, add to the kernel cmdline: ks=hd:sdb1:ks.cfg

4 - when stage 1 asks about the install source, pick 'hard drive' and point it to /dev/sdb1 , path 'iso'

5 - anaconda works through the installation correctly, until it is done with installing rpms...

6 - the anaconda debug dialog pops up...

I entered debugging mode, I found myself in this location of the code

  File "/usr/lib/booty/bootloaderInfo.py", line 939, in grubbyDiskName
    return "hd%d" % self.drivelist.index(name)

and name was sdb, but self.drivelist was ["sda"]. 

Logs attached...
Comment 1 Martin Langhoff 2008-09-08 00:28:51 EDT
Created attachment 316026 [details]
anaconda.log
Comment 2 Martin Langhoff 2008-09-08 00:29:29 EDT
Created attachment 316027 [details]
anacdump.txt.gz
Comment 3 Martin Langhoff 2008-09-08 03:09:57 EDT
Testing a bit more indicated that the problem is with the disk format. The bug was triggered with the installation running from a vfat-formatted FAT32 partition. 

The same disk, repartitioned and reformatted to ext3 completes installation without a hitch.
Comment 4 Andy Lindeberg 2008-09-08 11:00:20 EDT
We might have already fixed this in Rawhide. Can you give us a try and see if it's still a problem?
Comment 5 Martin Langhoff 2008-09-08 21:16:20 EDT
Are anaconda / anaconda-runtime compatible with F9 in general, and revisor/pungi in particular?
Comment 6 Kit Gerrits 2008-11-26 09:46:35 EST
I am seeing the same problem when installing F9 from stock DVD with kickstart on (FAT) USB.
the only way install sompletes is with --clearpart all (which also clears the USB stick with the kickstart info).
--clearpart linux will keep the USB stick intact, but fail on grubby
Comment 7 Andy Lindeberg 2008-11-26 11:45:42 EST
Can you give this a try with F10?
Comment 8 Kit Gerrits 2008-11-26 14:00:07 EST
I will try it out, but it would be a real help if this could be fixed/backported to F9, because I can't yet use F10 for certain computers.
Comment 9 Martin Langhoff 2009-03-17 22:26:21 EDT
Actually -- narrowed this down to the driveorder option. We are hitting this problem: http://kbase.redhat.com/faq/docs/DOC-15568
Comment 10 Bug Zapper 2009-06-09 22:39:28 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2009-07-14 10:01:15 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 12 Andy Lindeberg 2009-07-14 10:33:04 EDT
If you would like to reopen this bug, it needs to be tested against F11 - storage code has been almost entirely rewritten, and this bug could have been fixed.

We will not be backporting any fixes into previous releases.

Note You need to log in before you can comment on or make changes to this bug.